org.licas.security

## Class Metrics

- java.lang.Object
- - org.licas.security.Metrics

-     public class Metrics
      extends java.lang.Object

  Measurements that the default autonomic manager can make.
  Author:
    Kieran Greer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `emptyCount` Total number of empty messages received
    `long` | `messageCount` Total number of messages received
    `long` | `messageSize` Total size of message objects received
    `java.lang.String` | `serviceID` Unique ID for the service
    `java.lang.String` | `serviceType` The service type

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Metrics()` Create a new instance of Metrics

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMetrics(java.lang.Object messageObj)` Add metrics to the values.
    `static Metrics` | `createMetrics(ServiceModule service)` Create and return an initialised metrics object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serviceID

          public java.lang.String serviceID

      Unique ID for the service

    - #### serviceType

          public java.lang.String serviceType

      The service type

    - #### messageCount

          public long messageCount

      Total number of messages received

    - #### emptyCount

          public long emptyCount

      Total number of empty messages received

    - #### messageSize

          public long messageSize

      Total size of message objects received

  - ### Constructor Detail

    - #### Metrics

          public Metrics()

      Create a new instance of Metrics

  - ### Method Detail

    - #### addMetrics

          public void addMetrics(java.lang.Object messageObj)

      Add metrics to the values.
      Parameters:
        `messageObj` - message object to analyse.

    - #### createMetrics

          public static Metrics createMetrics(ServiceModule service)

      Create and return an initialised metrics object.
      Parameters:
        `service` - the service to initialise the metrics with.
      Returns:
        the metrics object.